[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TIPCServerMsgQueue.Create

Create a new message queue instance

## Declaration

Source position: simpleipc.pp line 78

`public constructor TIPCServerMsgQueue.Create;`

## Description

Create creates a list to contain the messages, and initializes TIPCServerMsgQueue.MaxCount and TIPCServerMsgQueue.MaxAction with their default values (DefaultIPCMessageQueueLimit and DefaultIPCMessageOverflowAction, respectively)

Note that the messages are owned by the queue till they are popped of the queue.

## See also

TIPCServerMsgQueue.MaxCount |  | Maximum number of messages in the queue, 0 for unlimited
TIPCServerMsgQueue.MaxAction |  | Action to take when the number of messages will exceed MaxCount.
DefaultIPCMessageQueueLimit |  | Default maximum queue message size
DefaultIPCMessageOverflowAction |  | Default action to take take when the message queue is going to overflow